# $Revision: 1.57 $, $Date: 2002/10/19 14:50:23 $
#
# WARNING: ethereal.spec and tethereal.spec are using the same source
# file, so they should be keeped in sync!
# I found it easier to do it that way (two separate specs)
# If you know how to do it better feel free to do so.
#
# ethereal an ethereal-common are built from this spec
Summary:	Network traffic and protocol analyzer
Summary(es):	Analizador de trfico de red.
Summary(pl):	Analizator ruchu i protokow sieciowych
Summary(pt_BR): Analisador de trfego de rede
Name:		ethereal
Version:	0.9.6
Release:	4
License:	GPL
Group:		Networking
Source0:	http://www.ethereal.com/distribution/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.su-start-script
URL:		http://www.ethereal.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	libpcap-devel >= 0.4
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	ucd-snmp-devel >= 4.2.6
BuildRequires:	zlib-devel
Requires:	libpcap >= 0.4
Requires:	ethereal-common = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/usr/share/misc

%description
Ethereal is the name for powerful graphical network sniffer, traffic
and protocol analyzer based on GTK+ and libpcap libraries. It lets you
capture and interactively browse the contents of network frames with
vast knowledge of more than 100 network protocols. Ethereal has
severeal useful features, including a rich display filter language,
the ability to view the ASCII contents of a TCP connection and plug-in
capabilities.

%description -l es
Analizador de trfico de red.

%description -l pl
Ethereal jest potnym, graficznym snifferem, analizatorem ruchu oraz
protokow sieciowych opartym na bibliotekach GTK+ oraz libpcap.
Umoliwia on przechwytywanie oraz intereaktywn analiz zawartoci
ramek oraz ponad stu protokow sieciowych. Ethereal posiada wiele
uytecznych cech, takich jak rozbudowany jzyk filtrw wywietlania,
moliwo ogldania przebiegu sesji TCP oraz moliwo doczania
wtyczek (plug-ins).

%description -l pt_BR
O Ethereal  um analisador de protocolo de rede baseado no GTK+.

%package common
Summary: 	Network traffic and protocol analyzer - common files
Summary(pl): 	Analizator ruchu i protokow sieciowych - wsplne pliki
Group:		Networking

%description common
Ethereal is the name for powerful graphical network sniffer, traffic
and protocol analyzer based on GTK+ and libpcap libraries. It lets you
capture and interactively browse the contents of network frames with
vast knowledge of more than 100 network protocols. Ethereal has
severeal useful features, including a rich display filter language,
the ability to view the ASCII contents of a TCP connection and plug-in
capabilities.

%description common -l pl
Ethereal jest potnym, graficznym snifferem, analizatorem ruchu oraz
protokow sieciowych opartym na bibliotekach GTK+ oraz libpcap.
Umoliwia on przechwytywanie oraz intereaktywn analiz zawartoci
ramek oraz ponad stu protokow sieciowych. Ethereal posiada wiele
uytecznych cech, takich jak rozbudowany jzyk filtrw wywietlania,
moliwo ogldania przebiegu sesji TCP oraz moliwo doczania
wtyczek (plug-ins).

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd epan
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../wiretap
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..
%configure \
	--disable-static \
	--disable-editcap \
	--disable-mergecap \
	--disable-tethereal \
	--disable-idl2eth \
	--enable-ipv6 \
	--disable-randpkt \
	--disable-text2pcap \
	--enable-zlib \
	--with-pcap \
	--with-plugindir=%{_libdir}/ethereal \
	--with-ssl \
	--with-ucdsnmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network/Misc,%{_datadir}/pixmaps}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Misc
install image/ethereal48x48-trans.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/ethereal.png
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/ethereal_su

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(644,root,root,755)
%doc AUTHORS NEWS README README.linux README.vmware FAQ ChangeLog
%doc doc/randpkt.txt doc/README.*

%files 
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/Misc/ethereal.desktop
%{_sysconfdir}/manuf
%{_mandir}/man1/*
%{_pixmapsdir}/*
%dir %{_libdir}/ethereal
%attr(755,root,root) %{_libdir}/ethereal/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ethereal.spec,v $
Revision 1.57  2002/10/19 14:50:23  kloczek
release 4: rebuild against ucd-snmp 4.2.6 and use new %doc.

Revision 1.56  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/09/05 16:29:26  blues
- defattr was missing - STBR

Revision 1.54  2002/08/27 19:11:26  migo
- ethereal is now splitted into 4 packages: ethereal, tethereal, ethereal-tools, ethereal-common and tethereal
- these 4 packages are built from two spec files: ethereal.spec and tethereal.spec
- release 2

Revision 1.53  2002/08/21 15:04:31  kloczek
- updated to 0.9.6: security fixes (buffer overflow in the ISIS dissector has been fixed).

Revision 1.52  2002/06/29 12:43:23  kloczek
- updated to 0.9.5 (security fixes),
- full regeneration ac/am/lt files is back,
- enable SSL support,
- enable more ac options (--enable-editcap, --enable-mergecap, --enable-randpkt,
  --enable-text2pcap).

Revision 1.51  2002/05/21 22:38:45  qboosh
- new %%doc

Revision 1.50  2002/05/19 20:38:55  klark
- update to 0.9.4
- STBR

Revision 1.49  2002/05/13 10:02:20  kloczek
- release 2: rebuild against ucd-snmp-deve 4.2.5.

Revision 1.48  2002/05/02 10:55:30  pioklo
-up to 0.9.3 , security fix  (zlib) ,STBR

Revision 1.47  2002/04/25 16:15:47  arturs
fixed a small typo

Revision 1.46  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.45  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:12:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/12/15 16:52:05  kloczek
- release 12: rebuild against ucd-snmp 4.2.3.

Revision 1.42  2001/11/07 01:03:42  kloczek
- release 11: rebuild against ucd-snmp 4.2.2.

Revision 1.41  2001/09/26 10:13:05  qboosh
- adapterized, BuildRequires: libtool

Revision 1.40  2001/08/20 19:05:57  kloczek
- release 10,
- regenerate ac/am files.

Revision 1.39  2001/08/11 15:25:01  blues
- Release 3
- configure2_13

Revision 1.38  2001/05/21 16:24:34  kloczek
- rleseae 2.

Revision 1.37  2001/05/21 15:20:47  blues
- perl-devel to buildrequires

Revision 1.36  2001/05/21 14:53:12  blues
- su script applied.

Revision 1.35  2001/05/18 02:30:06  kloczek
- updated to 0.8.18,
- move /etc/manuf to /usr/share/mics/manuf (this data file, not %config),
- enable snmp support.

Revision 1.34  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.33  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.32  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.31  2001/01/12 12:56:22  kloczek
- updated to 0.8.15.

Revision 1.30  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.29  2000/11/21 01:31:58  kloczek
- updated to 0.8.14.

Revision 1.28  2000/10/30 13:19:42  kloczek
- removed obsoleted Patch0.

Revision 1.27  2000/10/29 08:31:00  kloczek
- updated to 0.8.13.

Revision 1.26  2000/10/03 06:37:11  kloczek
- release 2: use rpm new automation suit.

Revision 1.25  2000/09/25 06:49:13  kloczek
- fix for installing in proper path pixmap for ethereal.

Revision 1.24  2000/09/25 05:41:45  kloczek
- typo in %install.

Revision 1.23  2000/09/25 05:19:28  kloczek
- updated to 0.8.12,
- added menu icon for ethereal.

Revision 1.22  2000/07/04 18:59:33  kloczek
- updated to 0.8.10.

Revision 1.21  2000/06/09 16:33:11  kloczek
- typo.

Revision 1.20  2000/06/09 16:29:18  kloczek
- updated to 0.8.9,
- plugin dir changed to %%{_libdir}/ethereal.

Revision 1.19  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/29 17:06:10  michuz
- %%applnkdir changed

Revision 1.16  2000/05/22 14:05:35  misiek
- release++
- enabled IPv6 support

Revision 1.15  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.14  2000/05/09 13:32:41  kloczek
- updated to 0.8.8.

Revision 1.13  2000/05/09 07:26:54  mikrobi
- removed unnecessary BuildRequires: XFree86-devel, glib-devel

Revision 1.12  2000/05/08 09:25:23  mikrobi
- BuildRequires:  XFree86-devel, glib-devel >= 1.2, gtk+-devel >= 1.2

Revision 1.11  2000/04/14 17:06:19  kloczek
- sipler strippng plugins,
- removed --with-plugin from ./configure switches (plugins dirrectory is
  hardcoded).

Revision 1.10  2000/04/14 12:11:36  mikrobi
- version 0.8.7
- more %%{version} macros in %%files (back again)

Revision 1.8  2000/04/06 20:36:53  kloczek
- added using %%{_applnkdir} macro,
- use --strip-unneeded on stripping shared objects.

Revision 1.7  2000/04/06 11:41:12  mikrobi
- version 0.8.5
- doc: Changelog removed, README.developer added

Revision 1.6  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 16:12:55  arturs
typo

Revision 1.3  2000/03/17 14:36:47  mikrobi
- updated to 0.8.4

Revision 1.2  2000/02/09 21:21:59  kloczek
- added using %%configure macro,
- fixed path to pcap header files,
- more rpm macros.

Revision 1.1  2000/02/09 14:38:39  mikrobi
- first repo release
